package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;

public class HelloActivity extends GlueActivity<GlueContext>
{
    @Override
    public String runActivity( GlueContext ctx )
    {
        System.out.println( "ServiceName : " + ctx.get( GlueBizControlConstants.SERVICE_NAME ) );
        System.out.println( "This is '" + this.getName() + "' activity" );

        Object input = ctx.get( "input" );
        System.out.println( "data : " + input );

        Object output = "Hello" + input + "!!!";
        ctx.put( "result", output );

        return GlueBizControlConstants.SUCCESS;
    }
}